# Uses of Enum Class
org.eclipse.emf.cdo.lm.Impact

Packages that use Impact
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.reviews
org.eclipse.emf.cdo.lm.reviews.impl

## Uses of Impact in org.eclipse.emf.cdo.lm

Fields in org.eclipse.emf.cdo.lm with type parameters of type Impact
Modifier and Type
Field
Description
`static final List<Impact>`
Impact.`VALUES`
A public read-only list of all the 'Impact' enumerators.
Methods in org.eclipse.emf.cdo.lm that return Impact
Modifier and Type
Method
Description
`static Impact`
Impact.`get(int value)`
Returns the 'Impact' literal with the specified integer value.
`static Impact`
Impact.`get(String literal)`
Returns the 'Impact' literal with the specified literal value.
`Impact`
Stream.`getAllowedChanges()`
Returns the value of the 'Allowed Changes' attribute.
`static Impact`
Impact.`getByName(String name)`
Returns the 'Impact' literal with the specified name.
`Impact`
Change.`getImpact()`
Returns the value of the 'Impact' attribute.
`static Impact`
Impact.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Impact[]`
Impact.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.lm with parameters of type Impact
Modifier and Type
Method
Description
`void`
Stream.`setAllowedChanges(Impact value)`
Sets the value of the '`Allowed Changes`' attribute.
`void`
Change.`setImpact(Impact value)`
Sets the value of the '`Impact`' attribute.

## Uses of Impact in org.eclipse.emf.cdo.lm.impl

Fields in org.eclipse.emf.cdo.lm.impl declared as Impact
Modifier and Type
Field
Description
`protected static final Impact`
StreamImpl.`ALLOWED_CHANGES_EDEFAULT`
The default value of the '`Allowed Changes`' attribute.
`protected static final Impact`
ChangeImpl.`IMPACT_EDEFAULT`
The default value of the '`Impact`' attribute.
Methods in org.eclipse.emf.cdo.lm.impl that return Impact
Modifier and Type
Method
Description
`Impact`
LMFactoryImpl.`createImpactFromString(EDataType eDataType, String initialValue)`
`Impact`
StreamImpl.`getAllowedChanges()`
`Impact`
ChangeImpl.`getImpact()`
Methods in org.eclipse.emf.cdo.lm.impl with parameters of type Impact
Modifier and Type
Method
Description
`void`
StreamImpl.`setAllowedChanges(Impact newAllowedChanges)`
`void`
ChangeImpl.`setImpact(Impact newImpact)`

## Uses of Impact in org.eclipse.emf.cdo.lm.reviews

Methods in org.eclipse.emf.cdo.lm.reviews that return Impact
Modifier and Type
Method
Description
`Impact`
DeliveryReview.`getImpact()`
Returns the value of the 'Impact' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews with parameters of type Impact
Modifier and Type
Method
Description
`void`
DeliveryReview.`setImpact(Impact value)`
Sets the value of the '`Impact`' attribute.

## Uses of Impact in org.eclipse.emf.cdo.lm.reviews.impl

Fields in org.eclipse.emf.cdo.lm.reviews.impl declared as Impact
Modifier and Type
Field
Description
`protected static final Impact`
DeliveryReviewImpl.`IMPACT_EDEFAULT`
The default value of the '`Impact`' attribute.
Methods in org.eclipse.emf.cdo.lm.reviews.impl that return Impact
Modifier and Type
Method
Description
`Impact`
DeliveryReviewImpl.`getImpact()`
Methods in org.eclipse.emf.cdo.lm.reviews.impl with parameters of type Impact
Modifier and Type
Method
Description
`void`
DeliveryReviewImpl.`setImpact(Impact newImpact)`